Rendley docs

Templates

#List templates

GET/v1/templates

Retrieve a paginated list of templates with optional search and category filtering.

Query parameters

pagestringOptional

Page number

limitstringOptional

Results per page

querystringOptional

Search query

category_idstringOptional

Category ID filter

Response codes
200

OK

#Get a template

GET/v1/templates/{id}

Retrieve a single template by its ID.

Path parameters

idstring

Template ID

Response codes
200

OK

404

Not Found

#List template categories

GET/v1/templates/categories

Retrieve all available template categories.

Response codes
200

OK

#Get templates overview

GET/v1/templates/overview

Retrieve an overview of templates grouped by category.

Query parameters

limitstringOptional

Number of templates per category

Response codes
200

OK